VB .NET incompatible avec Vista, comment faire ??

Signaler
Messages postés
28
Date d'inscription
dimanche 7 septembre 2003
Statut
Membre
Dernière intervention
28 juin 2011
-
Messages postés
28
Date d'inscription
dimanche 7 septembre 2003
Statut
Membre
Dernière intervention
28 juin 2011
-
Bonjour tout le monde.

Voilà je possède VB .NET (2003), je l'avais sur un PC XP qui a récement cramé, donc j'en ai racheté un autre, dessus : vista, et là c'est le drame...
Quand je lance VB, une fenetre s'ouvre : Ce programme présente des problemes de compatibilité...
Je fais rechercher des solutions sur internet, ca me renvoie gentiement vers le site de Micromou qui me dit de lancer le programme en tant qu'administrateur, ce que je fais, mais le probleme persiste...

Quelqu'un aurait-il une solution ?

Merci par avance,
WizardNx.

9 réponses

Messages postés
532
Date d'inscription
lundi 5 juin 2006
Statut
Membre
Dernière intervention
6 octobre 2012
1
Salut...
Fais tes mises à jour.... et assure toi qu'il fera les mises jour de tout tes progarmmes
Messages postés
7741
Date d'inscription
mercredi 1 septembre 2004
Statut
Membre
Dernière intervention
24 septembre 2014
37
Précision : Lancer en tant qu'administrateur, ne signifie pas Lancer avec un compte administrateur. Car même l'administrateur sous Vista est un utilisateur lambda comme un autre.
Il faut faire un click droit sur le racourcis ou l'exe et choisir dans le menu Executer en tant qu'adiministrateur.

Fais toutes tes mises à jours, Vista, Framework, services packs, Visual Studio, ....

N'utilise pas Windows Update qui ne propose que les maj du système, passe par Microsoft Update qui en propose plus.

VS6 est compatible Vista, VS2005 est compatible Vista, à priori je dirais qu'il n'y a pas de raison que VS.Net 2003 ne le soit pas.

---- Sevyc64  (alias Casy) ----<hr size="2" width="100%" /># LE PARTAGE EST NOTRE FORCE #    http://aide-office-vba.monforum.com/index.php
Messages postés
28
Date d'inscription
dimanche 7 septembre 2003
Statut
Membre
Dernière intervention
28 juin 2011
1
J'ai bien fait click droit >> lancer en tant qu'administrateur...
Pour les mises à jour il n'y a que le SP1 pour VB .NET 2003 que j'ai déjà...
Après moult recherches sur le net j'ai bien eu confirmation que Vista ne supportait pas VB.NET 2K3...

Ca craint du boudin....
:(

@ plouche
WizardNx.
Messages postés
1241
Date d'inscription
mardi 10 octobre 2006
Statut
Membre
Dernière intervention
27 août 2013
6
Bonjour,


Comme Casy je ne vois pas pourquoi VS2003 ne serait pas supporté si VS2005.

As tu désactivé le contrôle de compte utilisateurs "UAC"?
Sinon,
quand j'ai fait des tests sur Vista au boulot j'ai vu que pour certains
programmes, qui n'étaient pas compatibles et généraient des erreurs,
cela pouvait parfois se résoudre dans l'onglet "Compatibility"  en
mettant "compatbile Windows
XP".

Voir ici

L'expérience, c'est une connerie par jour, mais jamais la même..
Messages postés
28
Date d'inscription
dimanche 7 septembre 2003
Statut
Membre
Dernière intervention
28 juin 2011
1
Ah putain pas con du tout, j'ai pas du tout pensé à la compatibilité XP... honte à moi, j'essaye de ce pas...
Nan ben ca marche pas...

Sinon la question d'incompatibilité de VS est officielle et vient directos de chez microsoft, ils ont bossé sur une maj qui rendait VS2005 compatible (car au début il ne l'était pas), mais à ce jour apparement pas moyen de faire tourner VS2003 sur Vista...

@ plouche
WizardNx.
Messages postés
1241
Date d'inscription
mardi 10 octobre 2006
Statut
Membre
Dernière intervention
27 août 2013
6
Ah d'accord bah alors là effectivement..

Dans ce cas-là, pas grand chose à faire ma foi, si ce n'est acquérir VS2005...

L'expérience, c'est une connerie par jour, mais jamais la même..
Messages postés
7741
Date d'inscription
mercredi 1 septembre 2004
Statut
Membre
Dernière intervention
24 septembre 2014
37
"... si ce n'est acquérir VS2005...."

tant qu'à faire maintenant autant prendre VS2008 directement

---- Sevyc64  (alias Casy) ----<hr size="2" width="100%" /># LE PARTAGE EST NOTRE FORCE #    http://aide-office-vba.monforum.com/index.php
Messages postés
1241
Date d'inscription
mardi 10 octobre 2006
Statut
Membre
Dernière intervention
27 août 2013
6
"tant qu'à faire maintenant autant prendre VS2008 directement "


Oui effectivement à condition qu'il soit compatible :p

L'expérience, c'est une connerie par jour, mais jamais la même..
Messages postés
28
Date d'inscription
dimanche 7 septembre 2003
Statut
Membre
Dernière intervention
28 juin 2011
1
Ui VS 2008 est compatible...
Nan mais quelquepart ca mfait chier... Vista 250 ? et VS 1500? ... Le tout ne marche pas j'ai quand même les boules ... :/

@ plouche
WizardNx.